%define asl_ver 20070813-192003


Summary:        Atomic Secured Linux Web interface
Name:           asl-web-gui
Version:        0.5
Release:        1.art
URL:            http://www.atomicorp.com/
Packager:	Scott R. Shinn <scott@atomicrocketturtle.com>
Vendor:		Atomic Corporate Industries
Source0:        asl-web-gui-%{asl_ver}.tar.gz
Source1:	asl-button.gif
Source2:	LICENSE
License:        Commercial
Group:          System/Servers
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Requires:       psa 




%description
Atomic Secured Linux web interface for Plesk.


%prep
	
%setup -n asl-web-gui-%{asl_ver}


%build

%install
%{__rm} -rf %{buildroot}
#%{__mkdir_p} %{buildroot}/usr/bin
%{__mkdir_p} %{buildroot}/usr/local/psa/admin/htdocs/asl
%{__mkdir_p} %{buildroot}/usr/local/psa/admin/htdocs/images/custom_buttons

%{__cp} -r * %{buildroot}/
%{__install} %{SOURCE1} %{buildroot}/usr/local/psa/admin/htdocs/images/custom_buttons/asl-button.gif
%{__install} %{SOURCE2} %{buildroot}/usr/local/psa/admin/htdocs/asl/LICENSE


%clean
%{__rm} -rf %{buildroot}

%post 

# Set up the button in PSA
MYSQL="mysql -u admin -p`cat /etc/psa/.psa.shadow` psa "
ATOMIC_VERSION=`echo "select text from custom_buttons where text = 'Atomic Secured Linux' " | $MYSQL`


if [ ! "$ATOMIC_VERSION" ]; then
  echo "insert into custom_buttons (sort_key,level,place,text,url,conhelp,options,file) values ('0','1','navigation','Atomic Secured Linux','/asl/index.php','Security Control Panel','256', 'asl-button.gif'); " | $MYSQL
fi

# Add psaadm user to ossec  and apache groups
if  ! grep -q ^ossec.*psaadm  /etc/group  ; then
  /usr/sbin/usermod  -G ossec`groups psaadm | awk -F: '{print $2}' |sed 's/ /,/g'` psaadm >/dev/null 2>&1
fi
if  ! grep -q ^apache.*psaadm  /etc/group  ; then
  /usr/sbin/usermod  -G apache`groups psaadm | awk -F: '{print $2}' |sed 's/ /,/g'` psaadm >/dev/null 2>&1

fi

# Add rpmquery to sudoers
if !  grep -q ^psaadm.*rpm-query /etc/sudoers ; then
  echo "psaadm  ALL = NOPASSWD: /var/asl/bin/rpm-query" >> /etc/sudoers
fi

# Add asl to sudoers
if ! grep -q ^psaadm.*asl$ /etc/sudoers ; then
  echo "psaadm  ALL = NOPASSWD: /var/asl/bin/asl"  >> /etc/sudoers
fi

# restart psa
/etc/init.d/psa restart >/dev/null 2>&1

#%postun
# TODO: need to do cleanup


%files
%defattr(-,root,root)
%dir /usr/local/psa/admin/htdocs/asl/
/usr/local/psa/admin/htdocs/asl/
/usr/local/psa/admin/htdocs/images/custom_buttons/asl-button.gif


%changelog
* Mon Aug 20 2007 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.5-1
- added in support to whitelist/disable signatures from alert view
- extended interface to show modsec signature ids

* Tue Aug 7 2007 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.4-1
- added Blocklist interface

* Tue Jul 24 2007 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.3-1
- Major updates/bugfixes. 

* Mon Jul 9 2007 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.2-1
- reformating events page
- added vulnerability scanner
- Happy birthday to me. I am 34.

* Mon Jun 25 2007 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.1-1
- first cut
